## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate easy-cast

Name:           rust-easy-cast
Version:        0.5.2
Release:        %autorelease
Summary:        Type conversions which are expected to succeed

License:        Apache-2.0
URL:            https://crates.io/crates/easy-cast
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Type conversions which are expected to succeed.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+always_assert-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+always_assert-devel %{_description}

This package contains library source intended for building other packages which
use the "always_assert" feature of the "%{crate}" crate.

%files       -n %{name}+always_assert-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+assert_digits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+assert_digits-devel %{_description}

This package contains library source intended for building other packages which
use the "assert_digits" feature of the "%{crate}" crate.

%files       -n %{name}+assert_digits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+assert_float-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+assert_float-devel %{_description}

This package contains library source intended for building other packages which
use the "assert_float" feature of the "%{crate}" crate.

%files       -n %{name}+assert_float-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+assert_int-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+assert_int-devel %{_description}

This package contains library source intended for building other packages which
use the "assert_int" feature of the "%{crate}" crate.

%files       -n %{name}+assert_int-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm-devel %{_description}

This package contains library source intended for building other packages which
use the "libm" feature of the "%{crate}" crate.

%files       -n %{name}+libm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * overflows are wrapped in release mode instead of causing the expected panics
%cargo_test -- -- --skip approx_nan --skip approx_f64_f32 --skip float_trunc_fail1 --skip int_to_float_inexact --skip signed_to_unsigned_n1 --skip u128_large_to_f32 --skip u32_max_f32 --skip unsigned_to_signed_large
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.2-1
- Update to version 0.5.2; Fixes RHBZ#2119772

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun May 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-7
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 17 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-1
- Initial package

## END: Generated by rpmautospec
